<table>
  <%= form_with model: @author do |f| %>

   <% if @author.errors.any? %>
    <% @author.errors.full_messages.each do |message| %>
      <li><%= message %></li>
    <% end %>
  <% end %>

    <tr>
      <th><%= f.label :Name %></th>
      <td><%= f.text_field :name, value: @author.name %></td>
    </tr>

    <tr>
      <th><%= f.label :Pen_Name %></th>
      <td><%= f.text_field :pen_name, value: @author.pen_name %></td>
    </tr>

    <tr>
      <th><%= f.label :Phone_No %></th>
      <td><%= f.text_field :phone_no, value: @author.phone_no %></td>
    </tr>

    <tr>
      <td><%= f.label :publication_house_id, value: 'Publication House' %></td>
      <td> <%= f.collection_select(:publication_house_id, @publication_houses, :id, :name) %></td>
    </tr>

    <tr>
      <td><%= link_to "Cancel", sales_path %></td>
      <td><%= f.submit action.to_s.upcase %></td>
    </tr>

  <% end %>
</table>